Skip to content
GET /unified/lms/courses/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The unique identifier for the course

1 supported
TalentLMS
supported
categoriesobject[]

Categories the course belongs to, when available

idstring

The category's unique identifier

namestring

The category's name

codestring

A course code or SKU, when available

1 supported
TalentLMS
supported
created_atstring · date-time

The date and time the course record was created

1 supported
TalentLMS
supported
custom_fieldsobject

Provider or customer specific fields mapped into a flexible key-value object

descriptionstring

The description of the course

1 supported
TalentLMS
supported
duration_secondsinteger

The estimated duration of the course in seconds, when available

languagestring

The primary language of the course, when available. Example: en

levelstring

The difficulty level of the course, when available

Possible values:
beginnerintermediateadvancedmixedunknown
organizationobject

The organization or tenant the course belongs to, when available

idstring

The unique identifier for an organization

namestring

The name of the organization

published_atstring · date-time

The date and time the course was published, when available

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The publication or availability status of the course

Possible values:
draftpublishedarchiveddisabledunknown
1 supported
TalentLMS
supported
tagsobject[]

Tags applied to the course

idstring

The tag's unique identifier

namestring

The tag's name

titlestring

The title of the course

1 supported
TalentLMS
supported
typestring

The type of learning item

Possible values:
coursepathcurriculumprogrammicrolearningother
1 supported
TalentLMS
supported
updated_atstring · date-time

The date and time the course record was last updated

1 supported
TalentLMS
supported
urlsobject[]

The URLs related to the course.

typestring

The type of URL

urlstring

The URL

truto unified lms courses '<resource_id>' \
  -m get \
  -a '<integrated_account_id>' \
  -o json
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'lms',
  'courses',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "lms",
        "courses",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
curl -X GET 'https://api.truto.one/unified/lms/courses/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/lms/courses/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/lms/courses/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())